From fb9672d58520f452b27f1747d2ed13ddf9f5658e Mon Sep 17 00:00:00 2001
From: Euler Taveira <euler.taveira@enterprisedb.com>
Date: Wed, 22 Sep 2021 14:47:12 -0300
Subject: [PATCH v2] Improve vacumming indexes description

Mention autovacuum_work_mem if VACUUM is run by autovacuum.

Reported-by: Nikolai Berkoff
Author: Laurenz Albe
Reviewed-by: Nikolai Berkoff, Michael Paquier, Euler Taveira
Discussion: https://postgr.es/m/1kIqf6Q1G-wVkQkeg_BRSpcmy77hNfh9vlLQ3AF1APT-pKHRYT3z1IuDC5K2w83-4Qa016V1SfWJfF1v0Z0qf6141DbLcpIZJY3edlBEkCs%3D%40pm.me
---
 doc/src/sgml/monitoring.sgml | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 2281ba120f..c2f2a3a7a8 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -6147,8 +6147,9 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
        <command>VACUUM</command> is currently vacuuming the indexes.  If a table has
        any indexes, this will happen at least once per vacuum, after the heap
        has been completely scanned.  It may happen multiple times per vacuum
-       if <xref linkend="guc-maintenance-work-mem"/> is insufficient to
-       store the number of dead tuples found.
+       if <xref linkend="guc-maintenance-work-mem"/> (or, in the case of autovacuum,
+       <xref linkend="guc-autovacuum-work-mem"/>, if set) is insufficient to store
+       the number of dead tuples found.
      </entry>
     </row>
     <row>
-- 
2.20.1

